List Nodes
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/pathway/nodes \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/pathway/nodes"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/pathway/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}List Nodes
List all nodes in the pathway
GET
/
v1
/
projects
/
{projectId}
/
pathway
/
nodes
List Nodes
Request
GET https://api.pathors.com/v1/projects/{projectId}/pathway/nodes
Path Parameters
string
required
The project ID
Headers
string
required
Bearer token using your developer key
Response
array
Array of node objects. Each node has an
id, position, and data containing the node configuration.Node Types
| Type | Description |
|---|---|
start | Entry point of the conversation |
prompt | A conversation step with prompt and optional tools |
end | Terminal node that ends the conversation |
goto | Redirects to another node |
Example
curl https://api.pathors.com/v1/projects/{projectId}/pathway/nodes \
-H "Authorization: Bearer dk_your_key"
⌘I
